#include "skse64/NiObjects.h"

RelocPtr<float> g_worldToCamMatrix(0);
RelocPtr<NiRect<float>> g_viewPort(0);
RelocAddr<_WorldPtToScreenPt3_Internal> WorldPtToScreenPt3_Internal(0);

void NiRefObject::IncRef(void)
{
	InterlockedIncrement(&m_uiRefCount);
}

bool NiRefObject::Release(void)
{
	return InterlockedDecrement(&m_uiRefCount) == 0;
}

void NiRefObject::DecRef(void)
{
	if (Release())
		DeleteThis();
}
